Bug 214362 - Can't generate getters, setters, etc.
Can't generate getters, setters, etc.
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Editor
7.2
All All
: P1 (vote)
: 7.2
Assigned To: Ondrej Brejla
issues@php
: 72_HR_FIX, REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 11:16 UTC by Ondrej Brejla
Modified: 2012-06-25 08:59 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Brejla 2012-06-18 11:16:35 UTC
Try to generate setters in class Foo:

<?php

namespace First;

interface MyFace {
    
}

namespace Second;

use First\MyFace;

interface AnotherFace extends MyFace {
    
}

namespace Third;

use Second\AnotherFace;

class Foo implements AnotherFace {

    private $foo;
    
    ^

}
?>

Exception is thrown. It has to be fixed for 7.2...Vlado, do you agree?
Comment 1 Vladimir Riha 2012-06-18 11:30:16 UTC
I agree, should be fixed in 7.2
Comment 2 Ondrej Brejla 2012-06-18 11:46:35 UTC
Fixed in web-main #672bd2cf3325

Patch reviewed by Tomas.

Vlado, can you verify that? Thanks.
Comment 3 Quality Engineering 2012-06-18 22:14:45 UTC
Integrated into 'main-golden', will be available in build *201206181550* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/672bd2cf3325
User: Ondrej Brejla <obrejla@netbeans.org>
Log: #214362 - Can't generate getters, setters, etc.
Comment 4 Vladimir Riha 2012-06-19 07:19:19 UTC
verified in web-main build

Product Version: NetBeans IDE Dev (Build 20120619-86e85cb3e5f9)
Java: 1.7.0_06-ea; Java HotSpot(TM) Client VM 23.2-b05
System: Linux version 3.0.0-21-generic-pae running on i386; UTF-8; en_US (nb)
Comment 5 Ondrej Brejla 2012-06-19 15:17:30 UTC
Integrated into releases #9461cc0254f8
Comment 6 Quality Engineering 2012-06-20 03:29:40 UTC
Integrated into 'releases', will be available in build *201206192200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/9461cc0254f8
User: Ondrej Brejla <obrejla@netbeans.org>
Log: #214362 - Can't generate getters, setters, etc.
(transplanted from 672bd2cf33258f1dfe5bc13622de8744849327f7)
Comment 7 Marian Mirilovic 2012-06-24 21:02:07 UTC
... pending verification in NB 7.2
Comment 8 Vladimir Riha 2012-06-25 08:59:32 UTC
verified in NB 7.2

Product Version: NetBeans IDE 7.2 RC1 (Build 201206242201)
Java: 1.7.0_06-ea; Java HotSpot(TM) Client VM 23.2-b05
System: Linux version 3.0.0-21-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo